summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-08-06 10:43:26 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-08-06 10:50:37 (EDT)
commit5419c6f5465c0284412eb9867c729b3a653f8746 (patch)
tree2ce5108b467116d01aef86d9e6985b09acf943ce
parent96a68750a1ba9791291a94db2f73d1c3b3ffdf20 (diff)
Add sysctl service script and configuration
-rw-r--r--scripts1
-rw-r--r--src.etc/init.d/sysctl10
-rw-r--r--src.etc/sysctl.conf1
3 files changed, 12 insertions, 0 deletions
diff --git a/scripts b/scripts
index 8bce3b9..b1720f9 100644
--- a/scripts
+++ b/scripts
@@ -11,3 +11,4 @@ SYSLOGD syslog enabled
TELNETD telnetd disabled
- boottime enabled
- rc.local enabled
+- sysctl enabled
diff --git a/src.etc/init.d/sysctl b/src.etc/init.d/sysctl
new file mode 100644
index 0000000..c724780
--- /dev/null
+++ b/src.etc/init.d/sysctl
@@ -0,0 +1,10 @@
+#!/bin/sh /etc/rc.common
+
+START='80'
+
+start()
+{
+ [ -r /etc/sysctl.conf ] || return 0
+ log 'Setting kernel sysctl parameters'
+ sysctl -pq
+}
diff --git a/src.etc/sysctl.conf b/src.etc/sysctl.conf
new file mode 100644
index 0000000..119d730
--- /dev/null
+++ b/src.etc/sysctl.conf
@@ -0,0 +1 @@
+net.ipv4.ip_forward=1